Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 501988 - app-admin/rsyslog-7.6.3, 8.2.1 version bump
Summary: app-admin/rsyslog-7.6.3, 8.2.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ultrabug
URL:
Whiteboard:
Keywords:
: 509166 (view as bug list)
Depends on: 501976 501982 501986 509506
Blocks:
  Show dependency tree
 
Reported: 2014-02-21 11:50 UTC by Thomas Deutschmann
Modified: 2014-05-22 11:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add v7.6.3 to portage (rsyslog-7.6.3.diff,30.38 KB, patch)
2014-05-06 16:50 UTC, Thomas Deutschmann
Details | Diff
Patch to add v7.6.3 to portage (rsyslog-7.6.3.diff,30.69 KB, patch)
2014-05-09 08:45 UTC, Thomas Deutschmann
Details | Diff
Patch to add v7.6.3 to portage (rsyslog-7.6.3.diff,35.95 KB, patch)
2014-05-15 23:45 UTC, Thomas Deutschmann
Details | Diff
Patch to add v7.6.3 to portage (rsyslog-7.6.3.diff,32.69 KB, patch)
2014-05-16 17:25 UTC, Thomas Deutschmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2014-02-21 11:50:14 UTC
Hi,

as discussed with Ultrabug I am creating this tracking bug (app-admin/rsyslog-7.6.0 from upstream is not yet ready due to various bug reports from other distributions regarding a "action '(null)' resume" bug, see [1] and [2]) for the upcoming rsyslog-7.6.x series bump:


Changelog:
==========
v7.6.0:
-------
 * bugfix: imuxsock input parameters were not accepted due
   to copy&paste error.
   Thanks to Andy Goldstein for the fix.

 * added ProcessInternalMessages global system parameter
   This permits to inject rsyslog status messages into *another*
   main syslogd or the journal.

 * new dependency: liblogging-stdlog (for submitting to
   external logger)

 * bugfix: json templates are improperly created
   Strings miss the terminating NUL character, which obviously
   can lead to all sorts of problems.
   See also: https://github.com/rsyslog/rsyslog/issues/27
   Thanks to Alain for the analysis and the patch.

 * ompgsql bugfix: improper handling of auto-backgrounding mode
   If rsyslog was set to auto-background itself (default code
   behaviour, but many distros now turn it off for good reason),
   ompgsql could not properly connect. This could even lead to a
   segfault. The core reason was that a PG session handle was kept
   open over a fork, something that is explicitely forbidden in
   the PG API.
   Thanks to Alain for the analysis and the patch.


When bumping, we should consider to following changes to the ebuild:

1) Now that we have 7.4.x and 7.6.x I am not sure if
"$FILESDIR/7-stables" is a good sub directory (especially when we change
the default configuration..). Maybe we should move to a "series folder",
e.g. "$FILESDIR/7.6"?

2) Maybe we should define minimum versions? There was a discussion [3]
on the gentoo-dev mailing list 3 month ago. I would agree with Ian that
if a specific version requirement would prevent problems, we should set
one (for requirements not specified by upstream I would choose the
latest stable version in the tree).

And don't forget bug 501982 and bug 501986 :)


See also:
=========
[1] http://thread.gmane.org/gmane.comp.sysutils.rsyslog/13160

[2] https://github.com/rsyslog/rsyslog/issues/35

[3] http://thread.gmane.org/gmane.linux.gentoo.devel/88762

Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2014-04-30 13:33:58 UTC
*** Bug 509166 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Deutschmann gentoo-dev Security 2014-05-06 16:50:31 UTC
Created attachment 376494 [details, diff]
Patch to add v7.6.3 to portage

Here's the new ebuild for v7.6.3:

- Added additional modules with dependencies via USE flags

- Dependencies updated

- All the patches are accepted by upstream (will be in 7.6.4... if there ever will be another 7-stable release)

- We are now building most of the modules which doesn't have any dependencies per default

- We will tell the user in pkg_postinst that "/var/log/syslog" is now deprecated... (until v8.0)

- pkg_config wasn't touched; And I never tested it :(


All files are also available in my overlay at https://github.com/Whissi/gentoo-overlay/tree/master/app-admin/rsyslog
Comment 3 Thomas Deutschmann gentoo-dev Security 2014-05-06 16:52:50 UTC
Please see the updated metadata.xml and logrotate configuration (both changes are in the diff).
Comment 4 Thomas Deutschmann gentoo-dev Security 2014-05-09 08:45:53 UTC
Created attachment 376610 [details, diff]
Patch to add v7.6.3 to portage

I noticed that I uploaded a diff containing a wrong revision of the new default configuration... I re-created the diff with the correct revision of the new default configuration...
Comment 5 Thomas Deutschmann gentoo-dev Security 2014-05-15 23:45:24 UTC
Created attachment 377042 [details, diff]
Patch to add v7.6.3 to portage

Here's an updated patch. Changes:

- README.gentoo added (needs reviewing!)

- Updated default configuration

- The ebuild was updated to display a warning when there are "*.conf" files in "/etc/rsyslog.d". See https://bugs.gentoo.org/show_bug.cgi?id=501982#c9 for details.
Comment 6 Thomas Deutschmann gentoo-dev Security 2014-05-16 17:25:58 UTC
Created attachment 377074 [details, diff]
Patch to add v7.6.3 to portage

Here's the updated patch like discussed in IRC:

- Reverting the *.{pre,post}.conf" idea...
- New 50-default.conf
- README, EBuild... updated
Comment 7 Ultrabug gentoo-dev 2014-05-20 13:04:56 UTC
FYI for reference, we'll have to open a KEYWORDREQ bug after pushing this new version of rsyslog because we'll have to drop ~arm and ~hppa KEYWORDS

   app-admin/rsyslog/rsyslog-7.6.3.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['>=net-libs/rabbitmq-c-0.3.0', '>=dev-libs/hiredis-0.11.0']
   app-admin/rsyslog/rsyslog-7.6.3.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['>=net-libs/rabbitmq-c-0.3.0', '>=dev-libs/hiredis-0.11.0']
   app-admin/rsyslog/rsyslog-7.6.3.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['>=net-libs/rabbitmq-c-0.3.0']
   app-admin/rsyslog/rsyslog-7.6.3.ebuild: RDEPEND: ~hppa(default/linux/hppa/13.0) ['>=net-libs/rabbitmq-c-0.3.0']
Comment 8 Ultrabug gentoo-dev 2014-05-20 13:07:42 UTC
Ok I guess I compiled all your nice work on my overlay : ultrabug

Please check that the ebuild is okay for you there as the tree is what I'll be pushing to tree.

Can you ACK that this also covers bug #490744 ? (looks like it to me)
Comment 9 Thomas Deutschmann gentoo-dev Security 2014-05-20 14:10:42 UTC
I checked the ebuild from you overlay. Everything looks fine!

I am just concerned that rsyslog-7.6.3 won't be available on ARM/HPPA like previous versions because you removed the keywords. As said in IRC I would just add MASKs for the rabbitmq and redis USE flag on those architectures ... but if this is the job of the KEYWORDREQ bug that's ok (I am not that familiar with KEYWORDREQ at the moment).
Comment 10 Ultrabug gentoo-dev 2014-05-22 11:23:06 UTC
(In reply to Thomas D. from comment #9)
> I checked the ebuild from you overlay. Everything looks fine!
> 
> I am just concerned that rsyslog-7.6.3 won't be available on ARM/HPPA like
> previous versions because you removed the keywords. As said in IRC I would
> just add MASKs for the rabbitmq and redis USE flag on those architectures
> ... but if this is the job of the KEYWORDREQ bug that's ok (I am not that
> familiar with KEYWORDREQ at the moment).

The KEYWORDREQ bug #511026 has been filled

+*rsyslog-7.6.3 (22 May 2014)
+
+  22 May 2014; Ultrabug <ultrabug@gentoo.org> -rsyslog-7.4.3.ebuild,
+  -rsyslog-7.4.6.ebuild, -rsyslog-7.4.7.ebuild, +rsyslog-7.6.3.ebuild,
+  +files/7-stable/50-default.conf, +files/7-stable/README.gentoo,
+  +files/7-stable/bugfix_52.patch, +files/7-stable/bugfix_73.patch,
+  +files/7-stable/fix-omruleset-default-value.patch,
+  +files/7-stable/rsyslog.conf, +files/7-stable/rsyslog.confd-r1,
+  +files/7-stable/rsyslog.initd-r1, +files/7-stable/rsyslog.logrotate-r1,
+  metadata.xml:
+  version bump fix #501988 #501982 #501986 #490744 thx to @Whissi, drop old
+  versions
+

This is in tree now, thanks A LOT for your help, work, patience mate !

When it is time for 8.x branch, please reopen a new bug.